Loading...
Searching...
No Matches
XrdSysXAttr.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdSysXAttr::AList
class | XrdSysXAttr

## Typedefs

typedef XrdSysXAttr *(* | XrdSysAddXAttrObject_t) (XrdSysError *errP, const char *config_fn, const char *parms, XrdOucEnv *envP, XrdSysXAttr *attrP)
typedef XrdSysXAttr *(* | XrdSysGetXAttrObject_t) (XrdSysError *errP, const char *config_fn, const char *parms)

## Class Documentation

## XrdSysXAttr::AList

struct XrdSysXAttr::AList

Definition of a structure to hold an attribute name and the size of the name as well as the size of its associated value. The structure is a list and is used as an argument to Free() and is returned by List(). The size of the struct is dynamic and should be sized to hold all of the information.

Definition at line 52 of file XrdSysXAttr.hh.

Collaboration diagram for XrdSysXAttr::AList:

Class Members
char | Name[1] | Start of the name (size of struct is dynamic).
AList * | Next | -> next element.
int | Nlen | The length of the attribute name that follows.
int | Vlen | The length of the attribute value;.

## Typedef Documentation

## XrdSysAddXAttrObject_t

typedef XrdSysXAttr *(* XrdSysAddXAttrObject_t) (XrdSysError *errP, const char *config_fn, const char *parms, XrdOucEnv *envP, XrdSysXAttr *attrP)

extern "C" XrdSysXAttr *XrdSysGetXAttrObject(XrdSysError *errP, const char *config_fn, const char *parms);

Add an instance of a configured XrdSysXAttr object, wrapping previous one.

Parameters

  errP | -> Error message object for error messages.
  config_fn | -> The name of the config file.
  parms | -> Any parameters specified on the ofs.xattrlib directive. If there are no parameters parms may be 0.
  envP | -> To environmental information (may be nil).
  attrP | -> the current attribue object that should be wraped by this object.

Returns
  Success: -> an instance of the XrdSysXattr object to be used. Failure: Null pointer which causes initialization to fail.

The object creation function must be declared as an extern "C" function in the plug-in shared library as follows:

Definition at line 240 of file XrdSysXAttr.hh.

## XrdSysGetXAttrObject_t

typedef XrdSysXAttr *(* XrdSysGetXAttrObject_t) (XrdSysError *errP, const char *config_fn, const char *parms)

Get an instance of a configured XrdSysXAttr object.

Parameters

  errP | -> Error message object for error messages.
  config_fn | -> The name of the config file.
  parms | -> Any parameters specified on the ofs.xattrlib directive. If there are no parameters parms may be 0.

Returns
  Success: -> an instance of the XrdSysXattr object to be used. Failure: Null pointer which causes initialization to fail.

The object creation function must be declared as an extern "C" function in the plug-in shared library as follows:

Definition at line 213 of file XrdSysXAttr.hh.